Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irrAllocator.h File Reference

`#include "irrTypes.h"`
`#include <new>`
`#include <memory.h>`

Go to the source code of this file.

## Classes

class | irr::core::irrAllocator< T >
| Very simple allocator implementation, containers using it can be used across dll boundaries. More...
class | irr::core::irrAllocatorFast< T >
| Fast allocator, only to be used in containers inside the same memory heap. More...

## Namespaces

namespace | irr

| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::core

| Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.

## Enumerations

enum | irr::core::eAllocStrategy { irr::core::ALLOC_STRATEGY_SAFE = 0, irr::core::ALLOC_STRATEGY_DOUBLE = 1, irr::core::ALLOC_STRATEGY_SQRT = 2 }
| defines an allocation strategy More...

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Feb 14 13:06:59 2010 by Doxygen (1.6.2)